Update case settings
- Base URL
-
https://{kibana_url}
- PATCH /api/cases/configure/{configurationId}
- PATCH /s/{space_id}/api/cases/configure/{configurationId}
Refer to Spaces for more information.
Updates setting details such as the closure type, custom fields, templates, and the default connector for cases. Connectors are used to interface with external systems. You must create a connector before you can use it in your cases. You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on where the case was created.
Request body
-
closure_type -
Indicates whether a case is automatically closed when it is pushed to external systems (
close-by-pushing) or not automatically closed (close-by-user). -
Values:
close-by-pushingclose-by-user -
connectorobject -
An object that contains the connector configuration.
-
fieldsobjectrequired nullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstringrequired -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
customFieldsobjectdeprecated -
Custom fields case configuration. Deprecated. Use the field library (
/api/cases/field_definitions) to manage field definitions andextended_fieldson case create/update to set field values. -
defaultValueboolean | string -
A default value for the custom field. If the
typeistext, the default value must be a string. If thetypeistoggle, the default value must be boolean. -
keystring · min length: 1 · max length: 36required -
A unique key for the custom field. Must be lower case and composed only of a-z, 0-9, '_', and '-' characters. It is used in API calls to refer to a specific custom field.
-
extractObservablesboolean -
Indicates whether observables (for example, IPs, hashes, and URLs) are automatically extracted from case comments and events.
-
templatesobjectdeprecated -
Configuration-embedded templates. Deprecated: use the templates API (
GET /api/cases/templates) and caseextended_fieldsinstead. -
caseFieldsobject -
connectorobject -
fieldsobjectnullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstring -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
settingsobject -
An object that contains the case settings.
-
extractObservablesboolean -
When true, observables (for example, IPs, hashes, and URLs) are automatically extracted from case comments. When omitted on create, the space configuration default is used. Falls back to the owner's default when no space configuration exists:
truefor Security,falsefor Stack and Observability. Precedence: explicit value > template setting > space config > owner default. For owners that do not support observable extraction (currently Observability), an omitted value resolves tofalseregardless of the space configuration. -
The words and phrases that help categorize cases. It can be an empty array.
-
keystring -
A unique key for the template. Must be lower case and composed only of a-z, 0-9, '_', and '-' characters. It is used in API calls to refer to a specific template.
-
The words and phrases that help categorize templates. It can be an empty array.
Responses
Indicates a successful call.
-
closure_type -
Indicates whether a case is automatically closed when it is pushed to external systems (
close-by-pushing) or not automatically closed (close-by-user). -
Values:
close-by-pushingclose-by-user -
connectorobject -
fieldsobjectnullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstring -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
customFieldsobjectdeprecated -
Custom fields configuration details. Deprecated. Use the field library (
/api/cases/field_definitions) to manage field definitions andextended_fieldson case create/update to set field values. -
extractObservablesboolean -
Indicates whether observables (for example, IPs, hashes, and URLs) are automatically extracted from case comments and events.
-
owner -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution -
templatesobjectdeprecated -
Configuration-embedded templates. Deprecated: use the templates API (
GET /api/cases/templates) and caseextended_fieldsinstead.